scapy (2.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.7.0+dfsg1.
  * debian/copyright: include raw_data folder since it is GPL-2.
  * debian/patches: remove the only patch, not needed anymore.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 29 Jan 2026 22:35:14 -0300

scapy (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7.0+dfsg.
  * d/control:
      - Bump stds-version to 4.7.3.
      - Drop Priority field.
  * d/copyright:
      - Update GPL-2 stanza to point to gnu.org instead of address.
      - Update packaging copyright years.
      - update with new upstream release data.
  * debian/patches/Remove-tests-dependent-on-non-free-data.patch: refresh
    patch.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Tue, 13 Jan 2026 22:59:35 -0300

scapy (2.6.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Re-Upload to Unstable after Trixie release
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 20:14:42 +0100

scapy (2.6.1+dfsg-2) experimental; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * autopkgtest does not need old "mock" anymore
  * remove the Breaks against the Python2 package in Buster

  [ Arthur Pilone ]
  * d/control: bump standards-version to 4.7.2

 -- Arthur Pilone <arthurpilone@usp.br>  Wed, 11 Jun 2025 19:09:01 +0000

scapy (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.1+dfsg.
  * debian/copyright: update upstream copyright with additions from new release.
  * debian/patches/: delete patches available in new upstream release.
      - Remove-tests-dependent-on-non-free-data.patch: refresh.
      - fix-arping-when-route-is-missing.patch: delete.
      - fix-race-condition.patch: delete.
      - fix-scapy-on-ipv6-disabled.patch: delete.
      - try-cache-mkdir-in-XDG-handling.patch: delete.


 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 10 Nov 2024 16:21:08 -0300

scapy (2.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: switch packaging branch's name to debian/latest.
  * debian/patches/:
      - Remove-tests-dependent-on-non-free-data.patch: refresh patch;
      - fix-arping-when-route-is-missing.patch: add patch cherry-picked from
        upstream;
      - fix-race-condition.patch: add patch cherry-picked from upstream;
      - fix-scapy-on-ipv6-disabled.patch: add patch cherry-picked from
        upstream;
      - try-cache-mkdir-in-XDG-handling.patch: add patch cherry-picked from
        upstream.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 20 Oct 2024 20:43:57 -0300

scapy (2.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.6.0+dfsg.
  * debian/copyright: update file with new upstream release information.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 29 Sep 2024 19:40:48 -0300

scapy (2.5.0+git20240324.2b58b51+dfsg-2) unstable; urgency=medium

  * d/control:
      - Depends on libpcap0.8t64 so it works on armhf and armel.
        Thanks to Graham Inggs. (Closes: #1073264)
      - bump Standards-Version to 4.7.0 - no changes needed.
  * debian/gbp.conf: add upstream-branch field.
  * debian/tests/control: Depends on @recommends@ instead of hard-coding
    recommended packages.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 23 Jun 2024 11:30:12 -0300

scapy (2.5.0+git20240324.2b58b51+dfsg-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * debian/copyright: Add .bat files to Files-Excluded.

  [ Carlos Henrique Lima Melara ]
  * New upstream version 2.5.0+git20240324.2b58b51+dfsg. (Closes: #1067409)
  * New upstream version 2.5.0+git20240319.f919a6a+dfsg.
  * debian/control:
      - Add myself as uploader.
      - Add pybuild-plugin-pyproject to Build-Depends.
      - Remove tox from Build-Depends as it's not needed.
  * debian/copyright:
      - Add other files from doc/ to Files-Excluded.
      - Remove copyright from deleted file (scapy/libs/six.py).
      - Sort everything.
      - Update packaging years and contact info.
      - Update upstream copyright stanzas.
  * debian/patches/:
      - Remove-resource-heavy-ISOTP-test.patch: remove. Incorporated upstream.
      - Remove-tests-dependent-on-non-free-data.patch: add new patch.
      - fix-typo-in-manpage.patch: remove. Incorporated upstream.
      - remove-failing-tests.patch: remove. Incorporated upstream.
  * debian/python3-scapy.manpages: install manpage.
  * debian/rules:
      - PEP440 only allows one + sign, so remove +dfsg from it.
      - Use printf instead of echo to print $(DEB_VERSION_UPSTREAM).
  * debian/tests/:
      - control:
          + Add smbclient to test dependencies.
          + Enable testing in all archs.
      - run-upstream-tests:
          + Correctly disable tests that need root.
          + Disable smbd (samba) tests.
          + Export HOME=$AUTOPKGTEST_TMP so tests pass.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 24 Mar 2024 19:47:37 -0300

scapy (2.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches/fix-endianness-in-utf-16-encoding.patch: remove patch.
  * debian/tests/control: disable tests in 32 bits and big endian archs
    (closes: #1030602).

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Thu, 09 Feb 2023 19:34:45 -0300

scapy (2.5.0+dfsg-2~exp1) experimental; urgency=medium

  * Team upload.
  * debian/patches/:
      - Remove-resource-heavy-ISOTP-test.patch: add to fix autopkgtest in 32
        bits architectures.
      - fix-endianness-in-utf-16-encoding.patch: add to fix tests in s390x
        architecture.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Tue, 31 Jan 2023 16:27:18 -0300

scapy (2.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.0+dfsg. (Closes: #1027183)
  * Remove python-scapy-doc binary package due to DFSG infringement.
  * Run wrap-and-sort.
  * debian/control:
      - Add libpcap0.8 to Recommends.
      - Add netbase to Depends.
      - Bump Standards-Version to 4.6.2 - no changes needed.
      - Move tcpdump from Recommends to Suggests.
      - Remove python-scapy-doc stanza and sphinx related packages
        from Build-Depends.
  * debian/copyright: full update.
  * debian/dirs: remove - not needed anymore.
  * debian/lintian-overrides: override lintian hits.
  * debian/patches/:
      - Remove-privacy-breach-in-doc.patch: remove. Merged upstream.
      - fix-typo-in-manpage.patch: add to fix typo.
      - remove-UTscapy-script.patch: remove. Merged upstream.
      - remove-failing-tests.patch: add to remove failing tests from
        upstream.
  * debian/python-scapy-doc.doc-base: remove.
  * debian/python-scapy-doc.docs: remove.
  * debian/rules: remove documentation/sphinx related rules.
  * debian/tests/*: add upstream testing, but only a reduced set.
  * debian/watch: update to use github api.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Wed, 25 Jan 2023 19:01:55 -0300

scapy (2.4.5+g9420c22-2) unstable; urgency=medium

  * Team upload.
  * Source only upload of new binary pkg
  * Update Standards Version (no changes)

 -- Neil Williams <codehelp@debian.org>  Fri, 19 Aug 2022 08:23:54 +0100

scapy (2.4.5+g9420c22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, adding changes from commit 9420c22 to 2.4.5
    to fix licensing mistake in previous releases.
  * Split out documentation into a separate package.
  * Drop use of upstream unit tests in autopkgtest due to flaky results
    (Closes: #1012438)
  * Drop patches included upstream. (Closes: #589995) (Closes: #594261)
  * Update d.copyright

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Aug 2022 10:23:25 +0100

scapy (2.4.4-5) unstable; urgency=medium

  * Team upload.
  * Lintian brush updates
  * Fix d.watch file
  * Add can-utils package to autopkgtest dependencies. (Closes: #1014488)
  * Add the basic Python autopkgtest
  * Freshen existing patches

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Aug 2022 13:11:48 +0100

scapy (2.4.4-4) unstable; urgency=medium

  * Team upload.

  [ Romain Francoise ]
  * Drop debian/patches/use-absolute-paths.patch (#979338)
  * debian/tests/control: version dependency on tcpdump
  * Cherry-pick upstream commit 42d58d8729 to fix pipetool test
    (and thus fix autopkgtest too)

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Jan 2021 11:40:10 +0100

scapy (2.4.4-3) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.5.1
  * Switch to debhelper compat level 13

  [ Sophie Brun ]
  * Add a patch to fix find_library with Python 3.9 (Closes: #973171)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Dec 2020 11:46:53 +0100

scapy (2.4.4-2) unstable; urgency=medium

  * Add support for Python 3.9 (Closes: #975519)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 23 Nov 2020 12:08:20 +0100

scapy (2.4.4-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Add Salsa's CI configuration file
  * Configure git-buildpackage for Debian

  [ Sophie Brun ]
  * New upstream version 2.4.4
  * Refresh patches
  * Bump Standards-Version to 4.5.0 (no changes)
  * Update Homepage
  * Use new format for debian/copyright
  * Build and install docs (Closes: #773683)
  * Add information about test
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Sep 2020 10:24:44 +0200

scapy (2.4.3-4) unstable; urgency=medium

  * Drop python2 support; Closes: #938439, #936054
  * debian/control
    - update Vcs fields to point to pkg-security-team

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Mar 2020 20:22:54 -0400

scapy (2.4.3-3) unstable; urgency=medium

  * Take over package in pkg-security team.
  * Restore python2 package as we still have reverse dependencies.
    Keep /usr/bin/scapy in python3-scapy however. Let python-scapy
    provide /usr/bin/scapy2 temporarily. Add appropriate breaks/replaces
    forcing joint upgrade of both packages.
  * Switch to debhelper compat level 12
  * Add symlink for scapy3 manual page too
  * Add a small patch for python 2 compatibility.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Sep 2019 15:45:25 +0200

scapy (2.4.3-2) unstable; urgency=medium

  * d/control:
    - Drops Breaks from python3-scapy for python-scapy (Closes: #940699)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 19 Sep 2019 09:51:19 +0100

scapy (2.4.3-1) unstable; urgency=medium

  [ Gabriel Potter ]

  * New upstream version 2.4.3 (Closes: #929032)
  * debian/control:
   - Updates suggested and recommended packages (Closes: #907235, #939403)
   - Update standards version to 4.4.0
  * debian/patches:
   - Refresh paths.patch and setup.py.patch

  [ Iain R. Learmonth ]

  * Drop the Python 2 package (Closes: #938439)
  * The scapy executable is now provided by the Python 3 package

 -- Iain R. Learmonth <irl@debian.org>  Tue, 10 Sep 2019 18:10:37 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-scapy`.
